// TAdleeDigit v0.8 by Adam Lesien' (adamski@topservice.com) 17.07.97
// This component emulates a digit of electronic display
// This release is only for Borland C++ Builder
// TAdleeDigit is Freeware. You may use it freely at your own risk.
// Component C++ source code available for only 10USD or 20PLN
//
// To install this component use menu Compnent/Install/Add/
// Browse folder with the component, change file type to .obj
// and select AdleeDigit1.obj
//
// Version number 0.8 means that this component work, but it's still 
// under construction. 
// There are not any special features or protections. 
// However it's simple component and you can use it without fear.
//---------------------------------------------------------------------------
#ifndef AdleeDigit1H
#define AdleeDigit1H
//---------------------------------------------------------------------------
#include <vcl\SysUtils.hpp>
#include <vcl\Controls.hpp>
#include <vcl\Classes.hpp>
#include <vcl\Forms.hpp>
#define MAX_WIDTH 15
#define MIN_WIDTH  3
#define HEIGHT    19

#define V_NOTHING 10
#define V_COLON   11
#define V_MINUS   12
#define V_COMMA   13
#define V_E       14
#define V_CLEAR   15

//---------------------------------------------------------------------------
class TAdleeDigit : public TGraphicControl
{
private:
	TColor FColorOn;
	TColor FColorOff;
        int    FValue;
        int  __fastcall GetValue();              // read method
	void __fastcall SetValue( int FValue );  // write method
// messages
//	MESSAGE void __fastcall WMSize(TWMSize &Message);
protected:
  void __fastcall Dwukropek(void);
  void __fastcall Przecinek(void);
public:
// metodhs
	void __fastcall Paint(void);
	__fastcall TAdleeDigit(TComponent* Owner);
__published:
// properities
	 __property TColor ColorOn = {read=FColorOn, write=FColorOn, default=cl3DDkShadow};
	 __property TColor ColorOff= {read=FColorOff,write=FColorOff,default=cl3DLight};
	 __property int    Value  =  {read=GetValue, write=SetValue, default=8};
// properities inherited
         __property bool Visible  = {read=FVisible, write=FVisible,default=True};
// events inherited
	__property OnClick;
	__property OnDragDrop;
	__property OnEndDrag;
	__property OnMouseMove;
	__property OnDblClick;
	__property OnDragOver;
	__property OnMouseDown;
	__property OnMouseUp;
BEGIN_MESSAGE_MAP
//  MESSAGE_HANDLER(WM_SIZE, TWMSize, WMSize);
END_MESSAGE_MAP(TGraphicControl)
};
//---------------------------------------------------------------------------
#endif
